=pod

=head1 NAME

SSL_new - Create a new SSL structure for a connection

=head1 SYNOPSIS

 #include <openssl/ssl.h>

 SSL *SSL_new(SSL_CTX *ctx);

=head1 DESCRIPTION

SSL_new() creates a new B<SSL> structure which is needed to hold the data
for a SSL connection. The new SSL inherits the settings of the underlying
context B<ctx>: connection method (SSLv2/v3/TLSv1), options, verification
settings, timeout settings.

=head1 RETURN VALUES

The following return values can occur:

=over 4

=item NULL

The creation of a new SSL failed. Check the error stack to find out the
reason.

=item Pointer to an SSL

The return value points to an allocated SSL structure.

=back

=head1 SEE ALSO

L<SSL_free(3)|SSL_free(3)>, L<SSL_clear(3)|SSL_clear(3)>,
L<ssl(3)|ssl(3)>

=cut
